Subject: bug#23180: 2016-01-31; Auto-capitalize and change env

From: Uwe Brauer <[email-masked]>
Date: Sat, 02 Apr 2016 09:28:16 +0000

> 2016-04-01 19:20 GMT+02:00 Uwe Brauer <[email-masked]>:

    > To summarize, my understanding is that `replace-match' correctly
    > leaves point after the modified text (the closing "equation" changed
    > into something else, in your example), then the
    > `after-change-functions' hook is run and none of the functions
    > involved (including `auto-capitalize') moves point.  After that,
    > something else happens that moves point but I don't really have a clue
    > of what.  You could try and poke emacs-devel to ask someone else with
    > more insights into Emacs internals to have a look at this problem.

I can do that of course, but honestly, wouldn't you be much more
qualified to explain and discuss that problem?

Uwe